Subject: Re: [tsvwg] Eric Rescorla's Discuss on draft-ietf-tsvwg-rfc4960-errata-06: (with DISCUSS and COMMENT)

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 1 Nov 2018 15:44:19 -0500

Eric,

On Thu, Oct 25, 2018 at 8:03 AM Spencer Dawkins at IETF <
[email-masked]> wrote:

> FWIW,
>
> On Thu, Oct 25, 2018 at 2:44 AM G Fairhurst <[email-masked]> wrote:
>
>> On 25/10/2018, 03:49, Ben Campbell wrote:
>> >
>> >
>> >> On Oct 24, 2018, at 12:53 AM, Spencer Dawkins at IETF
>> >> <[email-masked]
>> >> <mailto:[email-masked]>> wrote:
>> >>
>> >> Hi, Adam,
>> >>
>> >> On Tue, Oct 23, 2018, 23:43 Adam Roach <[email-masked]
>> >> <mailto:[email-masked]>> wrote:
>> >>
>> >>     On 10/23/18 6:18 PM, Spencer Dawkins at IETF wrote:
>> >>     > The intended audience for this draft includes implementers who
>> >>     are not
>> >>     > active in TSVWG, and unlikely to notice working group wiki
>> >>     pages or
>> >>     > expired drafts. The third alternative we offer in the IESG
>> >>     statement
>> >>     > on "Support Documents in IETF Working Groups" is publication in
>> an
>> >>     > informational appendix to a solution document, but the working
>> >>     group
>> >>     > doesn't even have an individual draft for rfc4960-bis yet.
>> >>
>> >>
>> >>     I hope this doesn't come across as blithe, but if this document
>> >>     is what
>> >>     it appears to be, then creating an RFC 4960 bis should be a trivial
>> >>     mechanical exercise, right? And to Eric's point: anything that
>> makes
>> >>     this not just a trivial mechanical exercise is complexity that we
>> >>     are
>> >>     pushing onto its readers. I recognize that I may be setting up a
>> >>     false
>> >>     dichotomy here, but it seems to me that either this document is
>> >>     ready to
>> >>     be used, or it's not. What am I missing?
>> >>
>> >>     /a
>> >>
>> >>
>> >> My understanding - and the WG is copied, and they are not shy, so I
>> >> have confidence they'll correct me - is that this document is the
>> >> errata handling part of an rfc4960bis, and they want developers to
>> >> apply these errata now, without waiting for the working group to
>> >> agree on new functionality, which might also be part of an rfc4960bis.
>> >>
>> >
>> > A possible approach to that would a 4960bis with just errata fixes,
>> > and a 4960ter (or is that bis-bis) that adds new functionality.
>> >
>> > Ben.
>> >
>> Nobody in TSVWG has ever requested the Chairs to work on a 4960bis with
>> just errata fixes. When asked, the users and implementors both wanted to
>> use the process in the past, producing a list of technical changes to
>> RFC4960 in an Informational document and a clean rewrite of the
>> standards-track document for the new rev of the SCTP spec.
>>
>> I know Spencer is continuing to follow this up.
>>
>
> Indeed.
>
> On this specific point, I've asked the IESG if anyone else needed to
> re-ballot as Discuss knowing that Eric said he would clear, because I do
> actually care about what's been said in the discussion to date.
>
> I'd further ask the IESG to let me know by November 1, a week from today,
> if that's going to happen.
>
> If it doesn't, I'll ask Eric to clear and I'll move towards approval.
>

(Honestly,) Thanks for balloting Discuss on this document, because I think
we have surfaced a topic where different ADs have been giving different
answers to the same questions to different working groups. I see that
Deborah has taken an action to talk with the IESG about Abstain ballot
positions on Informational documents, so I think we can continue that
discussion without holding this document up further.

If you agree, could you clear your Discuss position?

Thanks,

Spencer

If that does happen, I'll ask that we put this document on an IESG agenda
> in Bangkok.
> Thanks, all.
> Spencer
> Gorry
>> (TSVWG Co-Chair)

---

From: Eric Rescorla <[email-masked]>
Date: Thu, 1 Nov 2018 14:06:37 -0700

I have re-ballotted Abstain.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 1 Nov 2018 16:26:12 -0500

Hi, Eric,

On Thu, Nov 1, 2018 at 4:07 PM Eric Rescorla <[email-masked]> wrote:

> I have re-balloted Abstain.
>

I see that - thank you for that (from, checks the flight map, roughly
Vancouver).

I'll make sure other comments have been addressed before approving the
draft.

Spencer

>>>> >>     > on "Support Documents in IETF Working Groups" is publication
>>>> in an
>>> I'd further ask the IESG to let me know by November 1, a week from
>>> today, if that's going to happen.
>>>
>> (Honestly,) Thanks for balloting Discuss on this document, because I
>> think we have surfaced a topic where different ADs have been giving
>> different answers to the same questions to different working groups. I see
>> that Deborah has taken an action to talk with the IESG about Abstain ballot